#include "SubMeshNode.h"

bool SubMeshNode::Initialise()
{	
	if (_subMesh == nullptr)
	{
		return false;
	}
	return true;
}

void SubMeshNode::Shutdown()
{		
}

void SubMeshNode::Render()
{	
}

bool SubMeshNode::IsTransparent() const
{
	return _transparent;
}

shared_ptr<SubMesh> SubMeshNode::GetSubMesh() const
{
	return _subMesh;
}

XMFLOAT4X4 SubMeshNode::GetCurrentTransform() const
{
	return _combinedWorldTransformation;
}
